AI Sync

Import Contacts

Upload Import Chunk

POSThttps://app.aisync.link/api/contacts/import/chunk
Upload Import Chunk
curl --request POST \
  --url https://app.aisync.link/api/contacts/import/chunk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "rows": [
    {
      "First": "Ada",
      "Phone": "15551212000"
    }
  ],
  "import_id": 10
}'
{
  "success": true,
  "progress": {
    "id": 10,
    "status": "running"
  },
  "chunk_updated": 0,
  "chunk_inserted": 1
}

Upload Import Chunk#

Sends up to 5,000 mapped rows for an open import.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

import_idintegerbodyrequired

Import session id

rowsobject[]bodyrequired

Row objects keyed by the CSV headers

curl --request POST \
  --url https://app.aisync.link/api/contacts/import/chunk \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "import_id": 10,
  "rows": [
    {
      "Phone": "15551212000",
      "First": "Ada"
    }
  ]
}'
chunk_insertedinteger

Rows inserted by this chunk

chunk_updatedinteger

Rows updated by this chunk

progressobject

Running totals for the import